Inhalte

# Funktion CurDir

Gibt eine Variant-Zeichenfolge zurück, die den aktuellen Pfad oder den des angegebenen Windows-Laufwerks darstellt.

Einige DOS-spezifische Datei- und Verzeichnisfunktionen werden in LibreOffice nicht mehr unterstützt oder ihre Funktion ist eingeschränkt. Beispielsweise werden die Funktionen ChDir, ChDrive und CurDir nicht unterstützt. Einige DOS-spezifische Eigenschaften werden nicht mehr in Funktionen verwendet, die Dateieigenschaften als Parameter erwarten (z. B. zur Unterscheidung von versteckten Dateien und Systemdateien). Dies gewährleistet die größtmögliche Plattformunabhängigkeit für LibreOffice. Daher kann diese Funktion in einer zukünftigen Version entfernt werden.

Die Bibliothek ScriptForge in LibreOffice 7.1 führt den Service FileSystem mit Methoden zum Behandeln von Dateien und Ordnern in Benutzerskripten ein.

### Syntax:

    CurDir [(Text As String)]

## Rückgabewert:

String

### Parameter:

Text: Jeder Zeichenfolgenausdruck, der ein vorhandenes Laufwerk festlegt, beispielsweise "C" für die erste Partition der ersten Festplatte. Dieser Parameter wird ausschließlich unter Windows verwendet.

Wenn kein Laufwerk angegeben ist oder wenn es sich bei dem Laufwerk um eine Zeichenfolge der Länge Null ("") handelt, gibt CurDir den Pfad für das aktuelle Laufwerk zurück. LibreOffice Basic meldet einen Fehler, wenn die Syntax der Laufwerkbeschreibung falsch ist oder das Laufwerk nicht vorhanden ist.

Groß- und Kleinschreibung hat keinen Einfluss auf die Funktion.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

68 Gerät nicht verfügbar

7 Nicht genügend Arbeitsspeicher

51 Interner Fehler

### Beispiel:

      Sub ExampleCurDir
          Dim sDir1 As String, sDir2 As String
          sDir1 = "C:\Test"
          sDir2 = "D:\Private"
          ChDir( sDir1 )
          MsgBox CurDir
          ChDir( sDir2 )
          MsgBox CurDir
      End Sub

Verwandte Themen

Dienst ScriptForge.FileSystem

Dienst ScriptForge.TextStream